
Foreman - Support #2611

LDAP authentication against IPA not working.

06/04/2013 01:56 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Triaged:  Found in Releases:  

Fixed in Releases:    

Description

This is actually an IPA issue, as outlined here:

https://fedorahosted.org/389/ticket/47361

unfortunately the errors are pretty non-intuitive.

On the foreman side it manifests as an error in the production.log:

Search Message: Protocol Error

On the IPA server side you will see:

..., failed to decode LDAP controls

The patch attached to the ticket above does fix it, but we might not see it in RHEL for awhile, so I thought it might be wise to track it

somewhere in case users hit the problem. Maybe if there is a Known Issues section in the Release Notes it could be listed there.

History

#1 - 06/13/2013 03:24 PM - Anonymous

https://bugzilla.redhat.com/show_bug.cgi?id=963234 is for RHEL/RHDS/IPA

#2 - 08/08/2013 09:41 AM - Anonymous

- Status changed from New to Closed

- Target version set to 1.2.2

- % Done changed from 0 to 100

fixed by update rubygem-net-ldap for 2737

#3 - 08/12/2013 03:58 AM - Dominic Cleal

- Target version deleted (1.2.2)
